<?php
/*
Template Name: WP-Guestbook
Theme: Connections reloaded - Deutsch
Author: Frank Bueltge
Author URI: http://bueltge.de/
*/
?>

<?php // Do not delete these lines
	if ('wp-guestbook.php' == basename($_SERVER['SCRIPT_FILENAME']))
		die ('Please do not load this page directly. Thanks!');
        if (!empty($post->post_password)) 
		{ // if there's a password
            if ($_COOKIE['wp-postpass_'.COOKIEHASH] != $post->post_password) 
			{		// and it doesn't match the cookie
?>
			<p class="nocomments">
				<?php _e("Dieser Beitrag ist gesch&uuml;tzt. Bitte Passwort eingeben um Eintr&auml;ge zu anzuzeigen."); ?>
			</p>
<?php
				return;
            }
        }
		/* This variable is for alternating comment background */
		$oddcomment = 'alt';
?>

<!-- You can start editing here. -->
<hr />
<!-- Comments start here -->
<?php if (is_array($comments)) { ?>
	<?php if ( !empty($post->post_password) && $_COOKIE['wp-postpass_' . COOKIEHASH] != $post->post_password) { ?>
		<p>
			<?php _e('Gib Dein Passwort an, um Eintr&auml;ge anzuzeigen.'); ?>
		</p>
	<?php return; } ?>
	
<?php if ('open' == $post-> comment_status) { ?>
	<h3 id="respond"><?php _e('Hinterlasse einen Eintrag') ?></h3>
	<?php if ( get_option('comment_registration') && !$user_ID ) { ?>
	<p><?php _e('Du musst ') ?><a href="<?php echo get_option('siteurl'); ?>/wp-login.php?redirect_to=<?php the_permalink(); ?>"><?php _e('angemeldet') ?></a> <?php _e(' sein, um einen Kommentar zu schreiben.') ?></p>
	<?php } else { ?>
		<form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">
		<?php if ( $user_ID ) { ?>
			<p><?php _e('Angemeldet als ') ?><a href="<?php echo get_option('siteurl'); ?>/wp-admin/profile.php"><?php echo $user_identity; ?></a>. <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?action=logout" title="<?php _e('Abmelden von diesem Account') ?>">Logout &raquo;</a></p>
		<?php } else { ?>
			<p>
				<input type="text" name="author" id="author" value="<?php echo $comment_author; ?>" size="22" tabindex="1" />
				<label for="author"><small><?php _e('Name');
					if ($req) _e(' (erforderlich)'); ?>
				</small></label>
			</p>
			<p>
				<input type="text" name="email" id="email" value="<?php echo $comment_author_email; ?>" size="22" tabindex="2" />
				<label for="email"><small><?php _e('Mail (wird nicht publiziert');
					if ($req) _e(', erforderlich)'); ?>
				</small></label>
			</p>
			<p>
				<input type="text" name="url" id="url" value="<?php echo $comment_author_url; ?>" size="22" tabindex="3" />
				<label for="url"><small><?php _e('Website'); ?></small></label>
			</p>
		<?php } ?>
			<p><small><?php _e('<strong>XHTML:</strong> Du kannst diese Tags verwenden: '); echo allowed_tags(); ?></small></p>
			<p>
				<textarea name="comment" id="comment" cols="90%" rows="10" tabindex="4"></textarea>
			</p>
			<p>
				<input name="submit" type="submit" id="submit" tabindex="5" value="Eintrag senden" />
				<input type="hidden" name="comment_post_ID" value="<?php echo $id; ?>" />
			</p>
			<?php do_action('comment_form', $post->ID); ?>
		</form>
	<?php } // If registration required and not logged in ?>
<?php } // if you delete this the sky will fall on your head ?>
	
	<h2 id="comments">
		<?php comments_number('Keine Eintr&auml;ge', '1 Eintrag', '% Eintr&auml;ge' );?>
		<?php _e('f&uuml;r'); ?> &#8220; <?php the_title(); ?> &#8221;
	</h2>
	
	<!-- Begin Comments -->
	<h3>
		<?php _e('Eintr&auml;ge:') ?>
	</h3>
	<ol class="commentlist">
		<?php foreach ($comments as $comment) { ?>
		<?php if ($comment->comment_type != "trackback" && $comment->comment_type != "pingback" && !ereg("<pingback />", $comment->comment_content) && !ereg("<trackback />", $comment->comment_content)) { ?>
			<li class="<?php echo $oddcomment; ?>" id="comment-<?php comment_ID() ?>">
				<cite>
					<?php comment_author_link() ?>
				</cite> <?php _e('meint:') ?>
			    <?php if ($comment->comment_approved == '0') { ?>
					<em><?php _e('Dein Eintr&auml;ge liegt zur Moderation vor.') ?></em>
			    <?php } ?>
			    <br />
			    <small class="commentmetadata">
					<a href="#comment-<?php comment_ID() ?>" title="">
					    <?php comment_date('j. F Y') ?>
					    <?php _e(' um ') ?>
					    <?php comment_time() ?>
				    </a>
				    <?php edit_comment_link('','',''); ?>
			    </small>
			    <?php comment_text() ?>
			</li>
			<?php /* Changes every other comment to a different class */	
				if ('alt' == $oddcomment) $oddcomment = '';
				else $oddcomment = 'alt';
			?>
		<?php } ?>
	  <?php } /* end for each comment */ ?>
	</ol>
	<!-- End Comments -->
	<br />
<?php } else { // this is displayed if there are no comments so far ?>
	<?php if ('open' == $post-> comment_status) { ?>
		<!-- If comments are open, but there are no comments. -->
		<p class="nocomments"><?php _e('Noch keine Eintr&auml;ge vorhanden. Sei der Erste!') ?></p>
	<?php } else { // comments are closed ?>
		<!-- If comments are closed. -->
		<p class="nocomments"><?php _e('Eintr&auml;ge sind abgeschaltet.') ?></p>
	<?php } ?>
<?php } ?>

<br />
<?php if (is_array($comments)) { ?>
	<!-- Begin Trackbacks -->
	<?php foreach ($comments as $comment) { ?>
		<?php if (($comment->comment_type == "trackback") || ($comment->comment_type == "pingback") || ereg("<pingback />", $comment->comment_content) || ereg("<trackback />", $comment->comment_content)) { ?>
			<?php if (!$runonce) { $runonce = true; ?>
			<h3 id="trackbacks">
				<?php _e('Trackbacks &amp; Pingbacks:') ?>
			</h3>
			<ol class="commentlist">
			<?php } ?>
			<li class="<?php echo $oddcomment; ?>" id="comment-<?php comment_ID() ?>">
				<?php if (($comment->comment_type == "trackback") || ereg("<trackback />", $comment->comment_content))
					_e('<strong>Trackback from </strong>'); 
				elseif (($comment->comment_type == "pingback") || ereg("<pingback />", $comment->comment_content))
					_e('<strong>Pingback from </strong>'); 
				?>
				<?php comment_author_link() ?>
			    <?php if ($comment->comment_approved == '0') { ?>
					<em><?php _e('Unser Eintrag liegt zur Moderation vor.') ?></em>
			    <?php } ?>
				<br />
				<small class="commentmetadata">
					<a href="#comment-<?php comment_ID() ?>" title="">
						<?php comment_date('j. F Y') ?>
						<?php _e('um') ?>
						<?php comment_time() ?>
					</a>
				<?php edit_comment_link('','',''); ?>
				</small>
				<?php comment_text() ?>
			</li>
		<?php } ?>
		<?php /* Changes every other comment to a different class */	
			if ('alt' == $oddcomment) $oddcomment = '';
			else $oddcomment = 'alt';
		?>
	<?php } ?>
	<?php if ($runonce) { ?>
		</ol>
	<?php } ?>
	<!-- End Trackbacks -->
<?php } ?>
